"use strict";
exports.__esModule = true;
var React = require("react");
var tagSpecial = function (special_label, tag) {
    if (special_label === "" || special_label === undefined) {
        return tag;
    }
    else {
        return special_label;
    }
};
var Mark = function (props) { return (React.createElement("mark", { style: { backgroundColor: props.color || '#84d2ff', padding: '0 4px' }, "data-start": props.start, "data-end": props.end, onClick: function () { return props.onClick({ start: props.start, end: props.end }); } },
    props.content,
    props.tag && (React.createElement("span", { style: { fontSize: '0.7em', fontWeight: 500, marginLeft: 6 } }, tagSpecial(props.special_label, props.tag))))); };
exports["default"] = Mark;
//# sourceMappingURL=Mark.js.map